List customer-managed clusters
List active Engine clusters in the organization.
RBAC Capability Required: core.customer_managed_cluster.get
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Query parameters
$orderbystringOptional
Specifies the key by which the result collection should be ordered.
$filterstringOptional
Restricts the set of items returned.
$topstringOptional
Specifies a non-negative integer
n that limits the number of items returned from a collection.
The service returns the number of available items up to but not greater than the specified value n.$skiptokenstringOptional
Specifies a start offset to support paginated results.
Use
@odata.nextLink in the result object to enumerate the collection -
it will be present only if there's more than one page of entities.$briefViewbooleanOptional
When
true, returns only id (and name if available) for each item in the list. Useful for lightweight lookups such as populating dropdowns. Defaults to false.Response
200Customer-managed clusters
Loading schema details…
Errors
400Bad Request
Loading schema details…
401Unauthorized
Loading schema details…
403Forbidden
Loading schema details…
404Not Found
Loading schema details…
429Too Many Requests
Loading schema details…
500Internal Server Error
Loading schema details…